*, *::before, *::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:sans-serif;
    outline: none;
}
:root{
    --ms_col_nb:#e9d669;
}

html, body {
    height:auto;
}

.container{
    position: relative;    
    background-image: url('../images/fondV.jpg');
    background-position: center;
    background-size: cover;    
    height: 100vh;    
    width: 100vw;
    min-width: 100%;
    padding: 0 8%;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 25px 0;
}

nav logo{
    width: 120px;
    cursor: pointer;
}

nav ul{
    display: flex;
    justify-content: flex-end;
    flex: 1;
    padding-right: 10px;
    text-align: right;
    list-style-type: none;
}

ul li{
    margin-right: 10px;
}

ul li a{
    padding: 10px 20px;
    text-decoration: none;
    color: black;
    font-size: 16px;
}

.ms_lang{
    background-color:transparent;    
    font-weight: bold;
    border: 1px solid rgba(0, 0, 0, 0.151);
}

.ms_lang:hover{
    background-color:#d38e053f;;    
    font-weight: bold;    
}

.contenu{
    position: absolute;
    bottom: 3%;
}

.contenu p{
    font-size: 30px;
    font-weight: bold;
    padding: 0;
    margin: 0;
}
.contenu h1{
    padding-top: 0;
    margin-top: 0;
    font-size: 20px;
    font-weight: bold;
}

.contenu h4{
    padding-top: 0;
    margin-top: 0;
    font-size: 15px;
    font-weight: bold;
    padding: 10px 15px;
    text-decoration: none;
    color: #fffefe;
    background-color: #d38e05;
    border: 1px solid rgba(0, 0, 0, 0.151);
    border-radius: 5px;    
    font-style: 40px;    
}

.action-row{
    position: absolute;
    right: 6%;
    bottom: 3%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
}

.action-row a{
    display: flex;
    justify-content: center;
    padding: 10px 15px;
    text-decoration: none;
    color: #fffefe;
    background-color: #d38e05;
    border: 1px solid rgba(0, 0, 0, 0.151);
    border-radius: 5px;
    margin-right: 40px;
    font-style: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.action-row a:hover{
    background: #ffff;
    color: #000;
    font-weight: bold;
}

.ms_modal{    
    background-image: linear-gradient(rgba(207, 205, 110, 0.425),rgba(218, 228, 81, 0.39)), url('../images/fondqq.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.ms_modal .modal-header h5{
    align-items: center;
    font-weight: bold;
}

.ms_modal .modal-footer{
    background-color: rgba(203, 250, 180, 0.651);
    align-items: center;
}

.ms_modal .modal-body{
    height: 70vh;
}

.ms_card{
    background: #f3f5f3ce;
    height: 65vh;
}

.ms_card .card-header{
    background-color: rgba(245, 247, 244, 0.418);
    font-weight:bold;
    align-items: center;    
}

.ms_list_medium{
    display: inline;
    overflow-y: scroll;
}

.modal-footer a{
    background-color: rgba(50, 104, 23, 0.418);
    font-weight:bold;
    cursor: pointer; 
}

td.colNbre{
    background: #faf1bf9f;
    align-items: center;
    font-weight: bold;
}

.ms_modal_log .modal-body{
    height: 40vh;
}

.ms_card_logd{
    background: #f4f5d7a1;
    height: 40vh;
}

.ms_card .card-body .ms_img{
    width: 20px;
}

.ms_logModal{
    width: 30%;
}

#idModal .modal-dialog{
    max-width: 95%;
    width: 95wv;
}

#addCpt .modal-dialog{
    max-width: 30%;
    width: 30wv;
}

#msDoug.modal-dialog{
    max-width: 70%;
    width: 70wv;   
    height: 40vh;
}

.ms_table thead th { 
    position: sticky; top: 0; z-index: 1; 
    background-color: #f4f5d7ce;
}

@media only screen and (max-width:1170px) {
        .contenu{
            position: absolute;            
            justify-content: center;
            bottom: 15%;
            margin: 0;
            padding: 0;
        }
}        

@media only screen and (max-width:900px) {
    .container{        
        background-image: url('../images/fondM.png');
        background-position: center;
        background-size: cover;    
        padding: 0 8%;
    }

    .contenu{
        position: absolute;        
        justify-content: center;
        bottom: 20%;
        padding: 0;
    }

    .action-row{
        /*right: 6%;*/
        bottom: 8%;
        flex-direction: column;
        justify-content: center;
        padding: 0;
        /*margin-top: 50px;*/
    }    

    #idModal .modal-dialog{
        max-width: 100%;
        width: 100wv;
    }

    #addCpt .modal-dialog{
        max-width: 100%;
        width: 100wv;
    }

    #msDoug.modal-dialog{
        max-width: 100%;
        width: 100wv;   
    }

    .ms_modal .modal-body{
        height: auto;
    }
    
    .ms_card{
        height: auto;
    }
    .ms_modal_log .modal-body{
        height: auto;
    }
    
    .ms_card_log{        
        height: auto;
    }
    .ms_logModal{
        width: 100%;
    }

    .ms_list_medium{     
        overflow: scroll;
    }
}